org.apache.poi.hwpf.model

## Class PAPX

- java.lang.Object
- - org.apache.poi.hwpf.model.PropertyNode<T>
  - - org.apache.poi.hwpf.model.BytePropertyNode<PAPX>
    - - org.apache.poi.hwpf.model.PAPX

- All Implemented Interfaces:
    java.lang.Comparable<PAPX>, Duplicatable

      @Internal
      public final class PAPX
      extends BytePropertyNode<PAPX>

  DANGER - works in bytes! Make sure you call getStart() / getEnd() when you want characters (normal use), but getStartByte() / getEndByte() when you're reading in / writing out!

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.PropertyNode

      `_buf, EndComparator, StartComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PAPX(int charStart, int charEnd, byte[] papx, ParagraphHeight phe, byte[] dataStream)`
    `PAPX(int charStart, int charEnd, SprmBuffer buf)`
    `PAPX(PAPX other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAPX` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `byte[]` | `getGrpprl()`
    `short` | `getIstd()`
    `ParagraphHeight` | `getParagraphHeight()`
    `ParagraphProperties` | `getParagraphProperties(StyleSheet ss)` Deprecated.
    `SprmBuffer` | `getSprmBuf()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.BytePropertyNode

      `getEndBytes, getStartBytes`

    - ### Methods inherited from class org.apache.poi.hwpf.model.PropertyNode

      `adjustForDelete, clone, compareTo, getEnd, getStart, limitsAreEqual, setEnd, setStart`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PAPX

          public PAPX(PAPX other)

    - #### PAPX

          public PAPX(int charStart,
                      int charEnd,
                      byte[] papx,
                      ParagraphHeight phe,
                      byte[] dataStream)

    - #### PAPX

          public PAPX(int charStart,
                      int charEnd,
                      SprmBuffer buf)

  - ### Method Detail

    - #### getParagraphHeight

          public ParagraphHeight getParagraphHeight()

    - #### getGrpprl

          public byte[] getGrpprl()

    - #### getIstd

          public short getIstd()

    - #### getSprmBuf

          public SprmBuffer getSprmBuf()

    - #### getParagraphProperties

          @Deprecated
           @Internal
          public ParagraphProperties getParagraphProperties(StyleSheet ss)

      Deprecated.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `PropertyNode<PAPX>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `PropertyNode<PAPX>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public PAPX copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `PropertyNode<PAPX>`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.